explain_fclose_or_die(3)

NAME
explain_fclose_or_die - close a stream and report errors

SYNOPSIS
#include <libexplain/fclose.h>
void explain_fclose_or_die(FILE *fp);

DESCRIPTION
The explain_fclose_or_die function is used to fflush(3) and fclose(3) the given stream. If there is an error, it will be reported using explain_fclose(3), and then terminates by calling exit(EXIT_FAILURE).
    explain_fclose_or_die(fp);

fp  The fp, exactly as to be passed to the fclose(3) system call.

Returns:
    Only returns on success. Reports error and process exits on failure.

COPYRIGHT
libexplain version
Copyright (C) 2008 Peter Miller

AUTHOR
Written by Peter Miller <pmiller@opensource.org.au>